CVE-2011-1176

Current Description

The configuration merger in itk.c in the Steinar H. Gunderson mpm-itk Multi-Processing Module 2.2.11-01 and 2.2.11-02 for the Apache HTTP Server does not properly handle certain configuration sections that specify NiceValue but not AssignUserID, which might allow remote attackers to gain privileges by leveraging the root uid and root gid of an mpm-itk process.

Basic Data

PublishedMarch 29, 2011
Last ModifiedAugust 17, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-16
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:M/Au:N/C:N/I:P/A:N
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityMEDIUM
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactNONE
CVSS 2 - Availability ImpactNONE
CVSS 2 - Base Score4.3
SeverityMEDIUM
Exploitability Score8.6
Impact Score2.9
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • AND
    • OR - Configuration 1
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3ApplicationSteinar H GundersonMpm-itk2.2.11-01*******
      2.3ApplicationSteinar H GundersonMpm-itk2.2.11-02*******
    • OR Running on/with:
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3ApplicationApacheHttp Server********

Vulnerable Software List

VendorProductVersions
Steinar H Gunderson Mpm-itk 2.2.11-01, 2.2.11-02

References

NameSourceURLTags
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=618857http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=618857CONFIRMPatch
[mpm-itk] 20110321 CVE 2011-1176: Sometimes runs as root instead of the default Apache userhttp://lists.err.no/pipermail/mpm-itk/2011-March/000393.htmlMLISTPatch
[mpm-itk] 20110321 mpm-itk version 2.2.17-01 releasedhttp://lists.err.no/pipermail/mpm-itk/2011-March/000394.htmlMLIST
[oss-security] 20110320 CVE request: MPM-ITK module for Apache HTTPDhttp://openwall.com/lists/oss-security/2011/03/20/1MLISTPatch
[oss-security] 20110321 Re: CVE request: MPM-ITK module for Apache HTTPDhttp://openwall.com/lists/oss-security/2011/03/21/13MLISTPatch
DSA-2202http://www.debian.org/security/2011/dsa-2202DEBIAN
MDVSA-2011:057http://www.mandriva.com/security/advisories?name=MDVSA-2011:057MANDRIVA
46953http://www.securityfocus.com/bid/46953BID
ADV-2011-0748http://www.vupen.com/english/advisories/2011/0748VUPENVendor Advisory
ADV-2011-0749http://www.vupen.com/english/advisories/2011/0749VUPENVendor Advisory
ADV-2011-0824http://www.vupen.com/english/advisories/2011/0824VUPEN
apache-mtmitk-weak-security(66248)https://exchange.xforce.ibmcloud.com/vulnerabilities/66248XF